View Issue Details

IDProjectCategoryView StatusLast Update
0007264mantisbtfilterspublic2018-03-31 19:58
Reportermcraig88Assigned Tocproensa 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.1 
Target Version2.13.0Fixed in Version2.13.0 
Summary0007264: Not able to filter issues that have no relationship assigned
Description

I am trying to generate a list of issues that have not been assigned to a 'release' issue. I create a bug that is used as a 'Parent' to all of the 'Child' issues that are to be resolved in a release.

I tried to create a filter where Relationships is set to Child of 0 and the setting is ignored. I also tried -1, and got no results.

There should be an option of None, or allow a 0 or -1 to signify no relationships created.

TagsNo tags attached.

Relationships

related to 0006247 new adding a NOT to relationships 
related to 0007628 new Show/hide duplicates 
has duplicate 0011959 closedatrol How can I add an option none in the filter, Relationships? 

Activities

atrol

atrol

2014-01-25 09:49

developer   ~0039187

Unassigned after having been assigned for a long time without progress.

vboctor

vboctor

2016-08-16 22:23

manager   ~0053827

If we are ever to implement this, then I would query for issues without relationships by supporting relationship type 'none' instead of a 0 or -1 in issue id.

Having said that, I would expect the scenario of releases to be based on target version rather than release issues. If not, then tags is another option. It is unclear to me why relationships are the right model for this specific use case mentioned by @mcraig88

Related Changesets

MantisBT: master 010fc2d2

2017-10-22 19:34:10

cproensa


Committer: dregad Details Diff
Improve relationship filter

Improve relationship filter by supporting a combination of:
Relationship type:
- any
- none
- specific relation type
Bug id:
- any
- none
- specific bug id

This allow logical combinations to search:
- Bugs not having any relation
- Bugs not having a specific relation (to any, or some other bug)
- Bugs having a specific relation type (to any, or some other bug)

Bug id field uses META_FILTER_ANY and META_FILTER_NONE as special
values for these combinations.

Fixes: 0007264
Affected Issues
0007264
mod - core/classes/BugFilterQuery.class.php Diff File
mod - core/filter_form_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2006-07-06 14:44 mcraig88 New Issue
2006-07-26 08:37 ryandesign Relationship added related to 0006247
2010-05-25 16:05 atrol Relationship added has duplicate 0011959
2010-06-02 10:30 daryn Assigned To => daryn
2010-06-02 10:30 daryn Status new => assigned
2010-06-02 10:30 daryn Category relationships => filters
2014-01-25 09:49 atrol Note Added: 0039187
2014-01-25 09:49 atrol Assigned To daryn =>
2014-01-25 09:49 atrol Severity minor => feature
2014-01-25 09:49 atrol Status assigned => new
2016-08-16 22:23 vboctor Note Added: 0053827
2017-10-22 19:50 cproensa Relationship added related to 0007628
2017-10-23 03:33 cproensa Assigned To => cproensa
2017-10-23 03:33 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master 010fc2d2
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed